#============================================================
# GnuPlot script : STD2.GNU 
#============================================================
# Parameter 0 : input data file #1
# Parameter 1 : input data file #2
# Parameter 2 : graph title
# Parameter 3 : min X:max x
# Parameter 4 : min y:max y
# Parameter 5 : size x, size y
# Parameter 6 : label #1
# Parameter 7 : label #2
# Parameter 8 : ouput file (PNG format)
#============================================================

# --------------------------------------
# Setting
# --------------------------------------
#palette by Namio MATUDA
lmax = 7800; lmin = 3800
k=lmax-lmin
set cbrange [lmin:lmax]
r(x)=x<4400?-(x-4400)/(4400-3800):x<5100?0:x<5800?(x-5100)/(5800-5100):x<=7800?1:0
g(x)=x<4400?0:x<4900?(x-4400)/(4900-4400):x<5800?1:x<6450?-(x-6450)/(6450-5800):0
b(x)=x<4900?1:x<5100?-(x-5100)/(5100-4900):0
f(x)=x<4200?0.2+0.7*(x-3800)/(4200-3800):x<7200?1:0.2+0.7*(7800-x)/(7800-7200)
set palette functions f(k*gray+lmin)*r(k*gray+lmin),g(k*gray+lmin),f(k*gray+lmin)*b(k*gray+lmin)
set encoding utf8 ## required for Å symbol
set xlabel 'Wavelength (Å)'  ## lambda char = {/Symbol l}
set ylabel "Relative intensity"
set xrange [$3]
set yrange [$4] 
set yrange [0<*:]  ## no negative y value (required for color boxes)
set grid ytics xtics mxtics  ## grid : comment this line to disable it, or choose in  ytics xtics mytics mxtics
set mxtics  ## minor x tics
set mytics  ## minor y tics 
set tmargin 2
set title '$2' offset 0,-0.5
set style fill transparent solid 0.3 noborder  ## colored boxes style ; 0.4=40% opacity
unset colorbox ## disable color scale
set terminal push

# ------------------------------------
# Plot on the computer screen 
# ------------------------------------
set terminal windows "Arial" 9

## /!\ only 1 enabled plot/replot commands block /!\

## classic blue/red lines chart
#plot "$0" title "$6" with lines linecolor rgb 'blue' , "$1" title "$7" with lines linecolor rgb 'red'

## color-filled + blue/red lines
plot "$0" using 1:2:1 with boxes linecolor palette notitle , "$1" using 1:2:1 with boxes linecolor palette notitle
replot "$0" title "$6" with lines linecolor rgb 'blue', "$1" title "$7" with lines linecolor rgb 'red'

# ------------------------------------
# Plot on a PNG file
# ------------------------------------
## terminal pngcairo instead of png is needed for transparency, unicod, ...
set terminal pngcairo enhanced font "Verdana,9" size $5
set output '$8'
replot

# ------------------------------------
# Finalize
# ------------------------------------
set output
set terminal pop
reset
